/*
 *  Procedure and function handling
 */

void exec_proc()
{
  nextToken();  // skip PROC
  // TEMP: PROC names are treated like variable names
  if(ttype != TT_IDENTIFIER)
    error(-1, "PROC name expected after PROC");
  strcpy(temp, sval);  // save proc name

  if(ttype == '(') {
    // get parameter list
    do {
      nextToken();  // skip '(' or ','
      if(ttype != TT_IDENTIFIER)
	error(-1, "Identifier expected in parameter list");
      nextToken();
    }
    while(ttype == ',');
    expect(')');
  }

  // search DEF PROCname...
  // copy parameters...
  // jump to statement behind DEF PROCname[(...)]
}



